import type { Arrayable, Nullable } from "@stacksjs/types";
import type { PartitionFilter } from "./helpers";
export declare const Arr: {
	contains(needle: string, haystack: string[]): boolean;
	containsAll(needles: string[], haystack: string[]): boolean;
	containsAny(needles: string[], haystack: string[]): boolean;
	containsNone(needles: string[], haystack: string[]): boolean;
	containsOnly(needles: string[], haystack: string[]): boolean;
	doesNotContain(needle: string, haystack: string[]): boolean;
	toArray<T>(array?: Nullable<Arrayable<T>>): Array<T>;
	flatten<T>(array?: Nullable<Arrayable<T | T[]>>): T[];
	mergeArrayable<T>(...args: Nullable<Arrayable<T>>[]): Array<T>;
	partition<T>(array: readonly T[], filter: PartitionFilter<T>): [T[], T[]];
	random<T>(arr: T[], count?: number): T[];
	sample<T>(arr: T[], count?: number): T[];
	unique<T>(arr: T[]): T[];
	uniqueBy<T>(arr: readonly T[], equalFn: (a: any, b: any) => boolean): T[];
	last<T>(arr: T[]): T | undefined;
	remove<T>(arr: T[], value: T): boolean;
	at(arr: any[], index: number): any;
	range(arr: readonly number[]): number;
	move<T>(arr: T[], from: number, to: number): T[];
	clampArrayRange(arr: readonly unknown[], n: number): number;
	shuffle<T>(arr: T[]): T[];
	sum(arr: number[]): number;
	average(arr: number[]): number;
	avg(arr: number[]): number;
	median(arr: number[]): number;
	mode(arr: number[]): number;
};
export declare const arr: typeof Arr;
